---
version: 5
defaults:  # Used for any hierarchy level that omits these keys.
  datadir: data         # This path is relative to hiera.yaml's directory.
  data_hash: yaml_data  # Use the built-in YAML backend.

hierarchy:
  - name: "most specific layer"                   # Human-readable name.
    path: "nodes/%{facts.networking.fqdn}.yaml"  # File path, relative to datadir.
                                   # ^^^ IMPORTANT: include the file extension!
  - name: "less specific layer"
    path: "os/%{facts.os.family}.yaml"

  - name: "common layer"
    path: "common.yaml"
